dnl GTK_WEBCORE_ENABLE_DEBUG
dnl -----------------
dnl check to enable debug compiler flags
AC_DEFUN([GTK_WEBCORE_ENABLE_DEBUG],
[AC_ARG_ENABLE([debug],
	AC_HELP_STRING([--enable-debug],[enable debugging (default is no)]),
	[ac_cv_use_debug=$enableval], [ac_cv_use_debug=no])
AC_CACHE_CHECK([whether to enable debugging],
	[ac_cv_use_debug], [ac_cv_use_debug=no])

if test x$ac_cv_use_debug = xyes; then
    CXXFLAGS="`echo $CXXFLAGS | sed -n -e 's/-g[[:digit:]]//gp'` -g3"
    CPPFLAGS="$CPPFLAGS -DDEBUG"
fi
])

dnl GTK_WEBCORE_ENABLE_PROFILING
dnl --------------------
dnl check to enable profiling
AC_DEFUN([GTK_WEBCORE_ENABLE_PROFILING],
[AC_ARG_ENABLE([profiling],
	AC_HELP_STRING([--enable-profiling],[enable profiling (default is no)]),
	[ac_cv_use_profiling=$enableval], [ac_cv_use_profiling=no])
AC_CACHE_CHECK([whether to enable profiling],
	[ac_cv_use_profiling], [ac_cv_use_profiling=no])

if test x$ac_cv_use_profiling = xyes; then
    CXXFLAGS="$CXXFLAGS -pg"
    LDFLAGS="$LDFLAGS -pg"
fi
])

dnl GTK_WEBCORE_ENABLE_OPTIMIZATION
dnl -----------------------
dnl check to enable optimization
AC_DEFUN([GTK_WEBCORE_ENABLE_OPTIMIZATION],
[AC_ARG_ENABLE([optimization],
	AC_HELP_STRING([--enable-optimizetion],[enable optimization (no,size,yes) (default is yes)]),
	[ac_cv_use_optimization=$enableval], [ac_cv_use_optimization=yes])
AC_CACHE_CHECK([whether to enable optimization],
	[ac_cv_use_optimization], [ac_cv_use_optimization=yes])
case $ac_cv_use_optimization in
	yes)
		CXXFLAGS="`echo $CXXFLAGS | sed -n -e 's/-O[[:digit:]]\{0,1\}//gp'` -O2"
		;;
	size)
		CXXFLAGS="`echo $CXXFLAGS | sed -n -e 's/-O[[:digit:]]\{0,1\}//gp'` -Os"
		;;	
esac

])
